jms_serializer:
    visitors:
        xml_serialization:
            format_output: '%kernel.debug%'
#    metadata:
#        auto_detection: false
#        directories:
#            any-name:
#                namespace_prefix: "My\\FooBundle"
#                path: "@MyFooBundle/Resources/config/serializer"
#            another-name:
#                namespace_prefix: "My\\BarBundle"
#                path: "@MyBarBundle/Resources/config/serializer"

when@prod:
    jms_serializer:
        visitors:
            json_serialization:
                options:
                    - JSON_UNESCAPED_SLASHES
                    - JSON_PRESERVE_ZERO_FRACTION
        default_context:
                serialization:
                    serialize_null: true

when@acc:
    jms_serializer:
        visitors:
            json_serialization:
                options:
                    - JSON_UNESCAPED_SLASHES
                    - JSON_PRESERVE_ZERO_FRACTION
        default_context:
            serialization:
                serialize_null: true

when@dev:
    jms_serializer:
        visitors:
            json_serialization:
                options:
                    - JSON_PRETTY_PRINT
                    - JSON_UNESCAPED_SLASHES
                    - JSON_PRESERVE_ZERO_FRACTION
        default_context:
                serialization:
                    serialize_null: true